Gets the OIDC provider configuration for an agentic or managed workload identity pool following the OIDC 1.0 discovery specification. For now, only agentic system pools are supported.
Preview
This feature is subject to the "Pre-GA Offerings Terms" in the General Service Terms section of the Service Specific Terms. Pre-GA features are available "as is" and might have limited support. For more information, see the launch stage descriptions.
HTTP request
GET https://sts.googleapis.com/v1/{name=projects/*/locations/*/workloadIdentityPools/*}/.well-known/openid-configuration The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the pool whose OpenID provider configuration to retrieve. Format: 'organizations/{ORGANIZATION_NUMBER}/locations/global/workloadIdentityPools/{POOL_ID}' 'projects/{PROJECT_NUMBER}/locations/global/workloadIdentityPools/{POOL_ID}' Example: 'organizations/1234/locations/global/workloadIdentityPools/agents.global.org-1234.system.id.goog' 'projects/12345678/locations/global/workloadIdentityPools/agents.global.proj-12345678.system.id.goog' |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of OpenIdProviderConfig.